%global momorel 5
%global __libtoolize :
%global fontdir %{_datadir}/fonts/%{name}
%global catalogue %{_sysconfdir}/X11/fontpath.d

Summary: Raw VBI, Teletext and Closed Caption decoding library
Name: zvbi
Version: 0.2.33
Release: %{momorel}m%{?dist}
License: GPL and LGPL
URL: http://zapping.sourceforge.net/ZVBI/
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/zapping/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: chkconfig
PreReq: fontconfig
BuildRequires: doxygen
BuildRequires: fontconfig-devel
BuildRequires: gettext
BuildRequires: libpng-devel
BuildRequires: xorg-x11-font-utils
Requires: fontpackages-filesystem

%description
ZVBI provides functions to capture and decode VBI data. The vertical blanking
interval (VBI) is an interval in a television signal that temporarily suspends
transmission of the signal for the electron gun to move back up to the first
line of the television screen to trace the next screen field. The vertical
blanking interval can be used to carry data, since anything sent during the VBI
would naturally not be displayed; various test signals, closed captioning, and
other digital data can be sent during this time period.

%package devel
Summary: Header files and static libraries from zvdi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on zvdi.

%prep
%setup -q

%build
%configure \
	--enable-v4l \
	--enable-dvb \
	--enable-proxy \
	--disable-rpath
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# generate and install fonts
mkdir -p %{buildroot}%{fontdir}
pushd contrib
./x11font
bdftopcf teletext.bdf | gzip -9 -c > %{buildroot}%{fontdir}/teletext.pcf.gz
bdftopcf teletexti.bdf | gzip -9 -c > %{buildroot}%{fontdir}/teletexti.pcf.gz
bdftopcf caption.bdf | gzip -9 -c > %{buildroot}%{fontdir}/caption.pcf.gz
bdftopcf captioni.bdf | gzip -9 -c > %{buildroot}%{fontdir}/captioni.pcf.gz
mkfontdir -x .bdf %{buildroot}%{fontdir}/
cat >%{buildroot}%{fontdir}/fonts.alias <<EOF
teletext   -ets-teletext-medium-r-normal--*-200-75-75-c-120-iso10646-1
EOF
touch %{buildroot}%{fontdir}/fonts.cache-1
popd

# link fonts
mkdir -p %{buildroot}%{catalogue}
ln -sf %{fontdir} %{buildroot}%{catalogue}/%{name}

# install init script
mkdir -p %{buildroot}%{_sysconfdir}/init.d
install -m 755 daemon/zvbid.init %{buildroot}%{_sysconfdir}/init.d/zvbid

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/chkconfig --add zvbid
fc-cache -f %{fontdir} || :


%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
fc-cache -f %{_datadir}/fonts || :
fi
if [ "$1" -ge "1" ]; then
    /sbin/service zvbid condrestart >/dev/null 2>&1 || :
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service zvbid stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del zvbid
fi

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING* ChangeLog INSTALL NEWS README TODO
%{catalogue}/%{name}
%{_sysconfdir}/init.d/zvbid
%{_bindir}/zvbi-atsc-cc
%{_bindir}/zvbi-chains
%{_bindir}/zvbi-ntsc-cc
%{_libdir}/libzvbi-chains.so.*
%{_libdir}/libzvbi.so.*
%{_sbindir}/zvbid
%dir %{fontdir}
%{fontdir}/*.pcf.gz
%{fontdir}/fonts.alias
%ghost %{fontdir}/fonts.cache-1
%{fontdir}/fonts.dir
%{_datadir}/locale/*/LC_MESSAGES/zvbi.mo
%{_mandir}/man1/zvbi-atsc-cc.1*
%{_mandir}/man1/zvbi-chains.1*
%{_mandir}/man1/zvbi-ntsc-cc.1*
%{_mandir}/man1/zvbid.1*

%files devel
%defattr(-,root,root)
%{_includedir}/libzvbi.h
%{_libdir}/pkgconfig/zvbi-0.2.pc
%{_libdir}/libzvbi-chains.a
%{_libdir}/libzvbi-chains.so
%{_libdir}/libzvbi.a
%{_libdir}/libzvbi.so

%changelog
* Sat Nov  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.33-5m)
- fix up fonts

* Sat May 16 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.33-4m)
- define __libtoolize

* Fri Jan 23 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.33-3m)
- rebuild against fontpackages-filesystem

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.33-2m)
- rebuild against rpm-4.6

* Fri Sep  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.33-1m)
- version 0.2.33

* Fri Aug 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.32-1m)
- version 0.2.32

* Sat Jul 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.31-1m)
- version 0.2.31

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.30-2m)
- rebuild against gcc43

* Thu Mar  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.30-1m)
- version 0.2.30

* Fri Feb 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.29-1m)
- version 0.2.29

* Fri Feb 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.27-1m)
- version 0.2.27

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.26-2m)
- %%NoSource -> NoSource

* Sun Dec  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.26-1m)
- version 0.2.26

* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.25-1m)
- initial package for kdetv-0.8.9
